Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default-client-xslt/js/key.js
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default-client-xslt/js/key.js	(revision 24007)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default-client-xslt/js/key.js	(revision 24007)
@@ -0,0 +1,34 @@
+/* Copyright (c) 2006 Yahoo! Inc. All rights reserved. */
+
+YAHOO.util.Key = new function() {
+	// this.logger	= new ygLogger("ygEventUtil");
+	// DOM key constants 
+	this.DOM_VK_UNDEFINED               = 0x0;
+	this.DOM_VK_RIGHT_ALT               = 0x12;
+	this.DOM_VK_LEFT_ALT                = 0x12;
+	this.DOM_VK_LEFT_CONTROL            = 0x11;
+	this.DOM_VK_RIGHT_CONTROL           = 0x11;
+	this.DOM_VK_LEFT_SHIFT              = 0x10;
+	this.DOM_VK_RIGHT_SHIFT             = 0x10;
+	this.DOM_VK_META                    = 0x9D;
+	this.DOM_VK_BACK_SPACE              = 0x08;
+	this.DOM_VK_CAPS_LOCK               = 0x14;
+	this.DOM_VK_DELETE                  = 0x7F;
+	this.DOM_VK_END                     = 0x23;
+	this.DOM_VK_ENTER                   = 0x0D;
+	this.DOM_VK_ESCAPE                  = 0x1B;
+	this.DOM_VK_HOME                    = 0x24;
+	this.DOM_VK_NUM_LOCK                = 0x90;
+	this.DOM_VK_PAUSE                   = 0x13;
+	this.DOM_VK_PRINTSCREEN             = 0x9A;
+	this.DOM_VK_SCROLL_LOCK             = 0x91;
+	this.DOM_VK_SPACE                   = 0x20;
+	this.DOM_VK_TAB                     = 0x09;
+	this.DOM_VK_LEFT                    = 0x25;
+	this.DOM_VK_RIGHT                   = 0x27;
+	this.DOM_VK_UP                      = 0x26;
+	this.DOM_VK_DOWN                    = 0x28;
+	this.DOM_VK_PAGE_DOWN               = 0x22;
+	this.DOM_VK_PAGE_UP                 = 0x21;
+};
+
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default-client-xslt/js/ygDDOnTop.js
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default-client-xslt/js/ygDDOnTop.js	(revision 24007)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default-client-xslt/js/ygDDOnTop.js	(revision 24007)
@@ -0,0 +1,46 @@
+
+/* Copyright (c) 2006 Yahoo! Inc. All rights reserved. */
+
+/**
+ * @class a DragDrop implementation that moves the object as it is being dragged,
+ * and keeps the object being dragged on top.  This is a subclass of ygDD rather
+ * than DragDrop, and inherits the implementation of most of the event listeners
+ * from that class.
+ *
+ * @extends ygDD
+ * @constructor
+ * @param {String} id the id of the linked element
+ * @param {String} sGroup the group of related DragDrop items
+ */
+function ygDDOnTop(id, sGroup) {
+	if (id) {
+		this.init(id, sGroup);
+	
+	}
+}
+
+ygDDOnTop.prototype = new YAHOO.util.DD();
+
+/**
+ * The inital z-index of the element, stored so we can restore it later
+ *
+ * @type int
+ */
+ygDDOnTop.prototype.origZ = 0;
+
+ygDDOnTop.prototype.startDrag = function(x, y) {
+
+	var style = this.getEl().style;
+
+	// store the original z-index
+	this.origZ = style.zIndex;
+
+	// The z-index needs to be set very high so the element will indeed be on top
+	style.zIndex = 999;
+}
+
+ygDDOnTop.prototype.endDrag = function(e) {
+
+	// restore the original z-index
+	this.getEl().style.zIndex = this.origZ;
+};
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default-client-xslt/js/ygDDPlayer.js
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default-client-xslt/js/ygDDPlayer.js	(revision 24007)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default-client-xslt/js/ygDDPlayer.js	(revision 24007)
@@ -0,0 +1,350 @@
+/* Copyright (c) 2006 Yahoo! Inc. All rights reserved. */
+
+function ygDDStack(id, sGroup) {
+	if (id) {
+		this.init(id, sGroup);
+		this.initFrame();
+	}
+}
+
+ygDDStack.prototype = new YAHOO.util.DDTarget();
+
+ygDDPlayer.TYPE = "ygDDPlayer";
+
+/**
+ * @class a YAHOO.util.DDFramed implementation. During the drag over event, the
+ * dragged element is inserted before the dragged-over element.
+ *
+ * @extends YAHOO.util.DDProxy
+ * @constructor
+ * @param {String} id the id of the linked element
+ * @param {String} sGroup the group of related DragDrop objects
+ */
+function ygDDPlayer(id, sGroup,bl) {
+    this.initPlayer(id, sGroup);
+    this.berryList = bl;     
+            
+}
+
+ygDDPlayer.prototype = new YAHOO.util.DDProxy();
+
+ygDDPlayer.prototype.berryList = new Array();
+
+ygDDPlayer.prototype.initPlayer = function(id, sGroup) {
+	if (!id) { return; }
+
+    this.init(id, sGroup);
+    this.initFrame();
+    var s = this.getDragEl().style;
+    s.borderColor = "transparent";
+    // s.backgroundColor = "#cccccc";
+    s.opacity = 0.76;
+    s.filter = "alpha(opacity=76)";
+
+    // specify that this is not currently a drop target
+    this.isTarget = false;
+
+    this.originalStyles = [];
+
+    this.type = ygDDPlayer.TYPE;
+    this.slot = null;
+    this.startPos = YAHOO.util.Dom.getXY( this.getEl() );
+   
+}
+
+ygDDPlayer.prototype.startDrag = function(x, y) {
+	
+	var dragEl = this.getDragEl();
+	var clickEl = this.getEl();
+       
+       	dragEl.innerHTML = clickEl.innerHTML;
+	//dragEl.className = clickEl.className;
+    	//dragEl.style.color = clickEl.style.color;
+	//dragEl.style.backgroundColor = clickEl.style.backgroundColor;
+        //dragEl.style.visibility = clickEl.style.visibility;
+               
+ 	while (dragEl.hasChildNodes())	{
+        	 dragEl.removeChild(dragEl.firstChild);
+	}	
+       
+         var img = document.createElement('img');
+              img.src = 'interfaces/default/images/berry3.png';
+              img.height = 15;
+              img.width = 15;
+             img.border = 0;              
+          dragEl.appendChild(img);
+       
+        var added = true;
+
+      	var s = clickEl.style;
+	s.opacity = .1;
+	s.filter = "alpha(opacity=10)";
+
+	var targets = YAHOO.util.DDM.getRelated(this, true);
+	
+	for (var i=0; i<targets.length; i++) {
+		
+		var targetEl = this.getTargetDomRef(targets[i]);
+
+		if (!this.originalStyles[targetEl.id]) {
+			this.originalStyles[targetEl.id] = targetEl.className;
+		}
+
+		targetEl.className = "target";
+	}
+};
+
+ygDDPlayer.prototype.getTargetDomRef = function(oDD) {
+	if (oDD.player) {
+		return oDD.player.getEl();
+	} else {
+		return oDD.getEl();
+	}
+};
+
+ygDDPlayer.prototype.endDrag = function(e) {
+	// reset the linked element styles
+	var s = this.getEl().style;
+	s.opacity = 1;
+	s.filter = "alpha(opacity=100)";
+
+	this.resetTargets();
+};
+
+ygDDPlayer.prototype.resetTargets = function() {
+
+	// reset the target styles
+	var targets = YAHOO.util.DDM.getRelated(this, true);
+	for (var i=0; i<targets.length; i++) {
+		var targetEl = this.getTargetDomRef(targets[i]);
+		var oldStyle = this.originalStyles[targetEl.id];
+		if (oldStyle) {
+			targetEl.className = oldStyle;
+		}
+	}
+};
+
+var request_type = "GET";
+var addurlPath ="?a=pr&rt=r&ro=1&s=AddItem&c=&s1.id=2&o=XML&s1.item=";
+var delurlPath ="?a=pr&rt=r&ro=1&s=DeleteItem&c=&o=XML&s1.item=";
+var postdata = null;
+
+ygDDPlayer.prototype.onDragDrop = function(e, id) {
+	// get the drag and drop object that was targeted
+     var oDD;
+     var player = this;
+   
+    if ("string" == typeof id) {
+        oDD = YAHOO.util.DDM.getDDById(id);
+    } else {
+        oDD = YAHOO.util.DDM.getBestMatch(id);
+    }
+
+
+   var el = this.getEl();
+
+	// check if the slot has a player in it already
+	if (oDD.player) {
+		// check if the dragged player was already in a slot
+		if (this.slot) {
+	  		// check to see if the player that is already in the
+			// slot can go to the slot the dragged player is in
+			// YAHOO.util.DDM.isLegalTarget is a new method
+			if ( YAHOO.util.DDM.isLegalTarget(oDD.player, this.slot) ) {
+				YAHOO.util.DDM.moveToEl(oDD.player.getEl(), el);
+				this.slot.player = oDD.player;
+				oDD.player.slot = this.slot;
+			} else {
+				YAHOO.util.Dom.setXY(oDD.player.getEl(), oDD.player.startPos);
+				this.slot.player = null;
+				oDD.player.slot = null
+			}
+		} else {
+		        // the player in the slot will be moved to the dragged
+			// players start position
+			//oDD.player.slot = null;
+			//YAHOO.util.DDM.moveToEl(oDD.player.getEl(), el);
+		}
+	}else {
+		// Move the player into the emply slot
+		// I may be moving off a slot so I need to clear the player ref
+	   	if (this.slot) {
+			this.slot.player = null;
+		}
+	}
+
+     var  addurl = addurlPath + el.id;	
+     var addSuccess = function(o){ 
+                 var text = o.responseText;
+	         var result = o.responseXML;
+                 var items = result.getElementsByTagName('item');
+                 if (items.length > 0){
+                    var item = items[0];
+                    var berrybasket = YAHOO.util.Dom.get('berrybasket');
+        	    var berries = YAHOO.util.Dom.get('berries');
+                    player.berryList[player.berryList.length]= item;     
+                
+                    var itemID = item.getAttribute('collection')+":"+item.getAttribute('name');
+                    var parent =el.parentNode;
+                    parent.removeChild(el);
+ 	        	
+                    if (parent !=null && parent.id == "documentberries"){
+                         var root = YAHOO.util.Dom.get(itemID+":root");
+                         var section = YAHOO.util.Dom.get(itemID+":section");
+                         if(root!=null && root.id.indexOf(itemID) !=-1){
+                             parent.removeChild(root);
+                          }
+     
+	                  if(section!=null && section.id.indexOf(itemID) !=-1){
+                             parent.removeChild(section);
+        	          }                                                
+                     }
+                   
+
+                    if (!YAHOO.util.Dom.get('hideview') && player.berryList.length <13){
+                       
+                       while (berries.hasChildNodes()) {
+       	                   berries.removeChild(berries.firstChild);
+	                }
+                        
+                     for (var i =0; i < player.berryList.length; i++ ){
+                             var img = document.createElement('img');
+                              img.src = 'interfaces/default/images/berry3.png';
+                              img.height = 15;
+                              img.width = 15;
+                              img.border = 0;              
+                              berries.appendChild(img);
+                       }
+      	                                   
+	          }
+                 else{
+                      
+        
+                    if (YAHOO.util.Dom.get('hideview')){
+                      
+                        var berryBasket  = YAHOO.util.Dom.get('berrybasket');
+                        var berries  = YAHOO.util.Dom.get('berries');
+                        var doclist = YAHOO.util.Dom.get('doclist'); 
+                        var tid = el.id;                                  
+                        var berryItem; 
+                        var berryElement = document.createElement('li');
+                         for (var i in player.berryList){
+                             berryItem = player.berryList[i];
+                             var id = berryItem.getAttribute('collection')+":"+berryItem.getAttribute('name');
+                             if (id == tid){
+                               var title = berryItem.getAttribute('title');
+                               var root_title = berryItem.getAttribute('root_title');  
+                                if (root_title != ""){
+                                      root_title +=":";
+                                     }
+	    
+                                title = root_title+title;	
+                                if (title.length > 50){
+                                   title = title.substring(0,20)+" ... "+title.substr(title.length-35,35);
+                                }
+                                
+                               berryElement.appendChild(document.createTextNode(title));
+                               berryElement.setAttribute("class","berryitem");
+                               doclist.appendChild(berryElement);
+                               var heightStr =  berryBasket.style.height+"";
+                               var height =parseInt(heightStr.substring(0,heightStr.length-2)) +18;                             
+                               berryBasket.style.height = height;
+                               berries.style.height = height;
+                               break;
+                            }
+                         }
+                         }    
+                 
+                 }
+               }
+                
+                       
+
+         }
+
+     var addFailure = function(o){ }
+
+
+     var addcallback = {
+        	success:addSuccess,
+     	        failure:addFailure,  
+                argument:player
+                }
+    
+
+    var  delurl = delurlPath + el.id;	
+     var delSuccess = function(o){ 
+ 		 var result = o.responseXML;
+                    var parent =el.parentNode;
+                    if (parent == null) return;                   
+
+                    parent.removeChild(el);
+                     
+                    for (var i in player.berryList){
+                       var berry = player.berryList[i];
+                  
+                       var id = berry['collection']+":"+berry['name'];
+                       
+                       if (id == el.id){
+                             player.berryList.splice(i,1);
+                                    
+                             break;
+                         }
+
+                   }
+
+                   if (!parent.hasChildNodes()){
+                         var content =  YAHOO.util.Dom.get('content');
+                           while (content.hasChildNodes()) {
+		              content.removeChild(content.firstChild);
+	                }  
+                        content.appendChild(document.createTextNode('Your berry basket is empty.'));
+                     }
+                   var trashbin =  YAHOO.util.Dom.get('trashbin');
+                   if ( trashbin !=null){
+                         trashbin.style.background = 'url("interfaces/default/images/trash-full.png") 0 0 no-repeat';
+                  }
+              }                                       
+         
+
+     var delFailure = function(o){ }
+
+
+     var delcallback = {
+        	success:delSuccess,
+     	        failure:delFailure,  
+                argument:player
+                }
+    
+
+  if (id == 'berrybasket'){
+       YAHOO.util.Connect.asyncRequest(request_type , addurl , addcallback);         
+  }
+  else{
+        if (id == 'trashbin'){
+             YAHOO.util.Connect.asyncRequest(request_type , delurl , delcallback); 
+         }
+   }
+
+   this.resetTargets();  	
+   this.slot = oDD;	
+   this.slot.player = this;
+ 
+};
+
+ygDDPlayer.prototype.swap = function(el1, el2) {
+    var dom = YAHOO.util.Dom;
+	var pos1 = dom.getXY(el1);
+	var pos2 = dom.getXY(el2);
+	dom.setXY(el1, pos2);
+	dom.setXY(el2, pos1);
+};
+
+ygDDPlayer.prototype.onDragOver = function(e, id) {};
+
+ygDDPlayer.prototype.onDrag = function(e, id) {};
+
+
+
+
+
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default-client-xslt/transform/about.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default-client-xslt/transform/about.xsl	(revision 24007)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default-client-xslt/transform/about.xsl	(revision 24007)
@@ -0,0 +1,77 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0"
+  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+  xmlns:java="http://xml.apache.org/xslt/java"
+  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+  xmlns:gslib="http://www.greenstone.org/skinning"
+  extension-element-prefixes="java util"
+  exclude-result-prefixes="java util">
+
+  
+  <xsl:template match="page">
+    
+    <!-- the page layout template is here -->
+    <html>
+      <head>
+	<title>
+	  <gslib:aboutCollectionPageTitle/>
+	</title>
+	<link rel="stylesheet" href="interfaces/default/style/core.css" type="text/css"/>
+      </head>
+      
+      <body><gslib:textDirectionAttribute/>
+
+	<div id="page-wrapper">
+	  <gslib:displayErrorsIfAny/>
+
+	  <div id="banner">    
+	    <p>
+	      <gslib:collectionHomeLinkWithLogoIfAvailable/>
+	    </p>
+	    <ul id="bannerlist"> 
+	      <li><gslib:homeButtonTop/></li>
+	      <li><gslib:helpButtonTop/></li>
+	      <li><gslib:preferencesButtonTop/></li>
+	    </ul>
+	  </div>
+	  
+	  <!--If some services are available for the current collection display the navigation bar-->
+	  <xsl:choose>
+	    <xsl:when test="$this-element/serviceList/service">
+	      <div id="navbar">
+		<ul id="navbarlist">
+		  <gslib:servicesNavigationBar/>
+		</ul>
+	      </div> 
+	    </xsl:when>
+	    <!--Otherwise simply display a blank divider bar-->
+	    <xsl:otherwise>
+	      <div class="divbar"><gslib:noTextBar/></div>          
+	    </xsl:otherwise>
+	  </xsl:choose>
+	  
+	  <div id="content"> 
+	    <!--Display the description text of the current collection,
+	    and if some services are available then create a list
+	    of links for each service within a <ul id="servicelist"> element.-->
+	    <gslib:collectionDescriptionTextAndServicesLinks/>
+	  </div>
+
+	  <div id="footer">
+	    <div class="divbar"><gslib:poweredByGS3TextBar/></div>
+	  </div>
+	</div>
+	
+		<script type="text/javascript" src="jquery.js">
+			<xsl:comment>Filler for browser</xsl:comment>
+		</script>
+		<script type="text/javascript" src="test.js">
+			<xsl:comment>Filler for browser</xsl:comment>
+		</script>
+      </body>
+    </html>
+  </xsl:template>
+
+
+</xsl:stylesheet>  
+
Index: main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default-client-xslt/transform/applet.xsl
===================================================================
--- main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default-client-xslt/transform/applet.xsl	(revision 24007)
+++ main/branches/64_bit_Greenstone/greenstone3/web/interfaces/default-client-xslt/transform/applet.xsl	(revision 24007)
@@ -0,0 +1,56 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0"
+  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+  xmlns:java="http://xml.apache.org/xslt/java"
+  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+  extension-element-prefixes="java util"
+  exclude-result-prefixes="java util">
+  
+  <!-- style includes global params interface_name, library_name -->
+  <xsl:include href="style.xsl"/>
+  
+  <xsl:output method="html"/>  
+  
+  <!-- the main page layout template is here -->
+  <xsl:template match="page">
+    <html>
+      <head>
+	<title>
+	  <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	  <xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+	</title>
+	<xsl:call-template name="globalStyle"/>
+	<xsl:call-template name="pageStyle"/>
+      </head>
+      <body>
+	<xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
+	<div id="page-wrapper">
+	  <xsl:call-template name="response" />
+	  <xsl:call-template name="greenstoneFooter"/>
+	</div>
+      </body>
+    </html>
+  </xsl:template>
+
+  <xsl:template name="pageTitle">
+    <xsl:value-of select="pageResponse/service/applet"/>
+  </xsl:template>
+
+  <!-- page specific style goes here -->
+  <xsl:template name="pageStyle"/>
+
+  <xsl:template match="pageResponse">
+    <xsl:variable name="collName"><xsl:value-of select="../pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
+    <xsl:call-template name="standardPageBanner">
+      <xsl:with-param name="collName" select="$collName"/>
+    </xsl:call-template>
+    
+    <xsl:call-template name="navigationBar">
+      <xsl:with-param name="collName" select="$collName"/>
+    </xsl:call-template>      
+    <div class="phrasebrowse">
+      <xsl:copy-of select="service/applet"/>
+    </div>
+  </xsl:template>
+</xsl:stylesheet>  
+
